Ubisoft uses cookies to ensure that you get the best experience on our websites. By continuing to use this site you agree to accept these cookies. More info on our privacy.

Log in with
E-mail E-mail
Password Password
please wait
SSL secure data transfer
LOG IN
Login failed

The login attempt failed. Please check you have entered your e-mail address correctly and used the correct upper and lower case characters in your password.

E-mail
Password Password Forgotten password?
Login
Login failed

The login attempt failed. Please check you have entered your e-mail address correctly and used the correct upper and lower case characters in your password.

SSL secure data transfer

The Settlers Online

Help and support

Slim browser version (download) back

1. I get this error message: "Couldn’t load plug-in"

If you get this error message, the game was unable to run your Google Chrome Flash plugin. Just open the options menu of the application on the right of the "The Settlers Online" start menu and change the plugin setting to "Adobe Flash Player plugin".

2. Why do I need a Flash Player plugin?

"The Settlers Online" is a browser game, based on Flash.
Therefore a Flash plugin is needed to run the game.

3. Do I need Google Chrome?

Google Chrome is not needed if Adobe Flash Player (plugin) is installed on your PC. But Google Chrome comes with its own Flash plugin. The game performance of this plugin is better than the performance of the "original" Adobe Plugin (our application is based on Chromium – which is very similar to Google Chrome). For optimal experience, we recommend to install Google Chrome.

4. A Chrome/Flash player plugin error message is shown after start

In case of an error message from Chrome/Flash Player plugin right after starting the application, you can manually fix the issue with the following steps:

  1. Exit the application / make sure the game is not running
  2. Go to game folder of "The Settlers Online"
  3. Create a sub-folder called "plugins"
  4. Copy the file "pepflashplayer.dll" from your Google Chrome into this new folder
  5. Edit the file "package.json" in your "The Settlers Online" game folder and change the path to the plugin to: 'plugins\\pepflashplayer.dll'

If there is no path: Please add the following to the list of "chromium-args": --ppapi-flash-path='plugins\\pepflashplayer.dll' --ppapi-flash-version=18.0.0.209

5. System Requirements

Minimum System requirements:

  • OS: Windows XP SP3 or higher
  • Processor: 2 GHz Dual Core or higher
  • Memory: 2 GB RAM or higher
  • Graphics: Hardware Accelerated Graphics
  • Storage: 200 MB available space
  • Permanent internet connection required

This is the European English version of The Settlers Online.

please wait